[gjs: 1/2] Dockerfile: Install Turkish locale in CI for UTF-8 locale too
- From: Philip Chimento <pchimento src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gjs: 1/2] Dockerfile: Install Turkish locale in CI for UTF-8 locale too
- Date: Sat, 30 Apr 2022 01:56:11 +0000 (UTC)
commit 6efbdaa570461b2f409cd25504dbd2698f9edaf6
Author: Marco Trevisan (TreviƱo) <mail 3v1n0 net>
Date: Thu Apr 28 20:13:56 2022 +0200
Dockerfile: Install Turkish locale in CI for UTF-8 locale too
This is the actual recipe that has been used to generate the current
image, but I forgot to update the branch that got merged earlier.
test/extra/Dockerfile | 6 +++++-
test/extra/Dockerfile.debug | 6 +++++-
2 files changed, 10 insertions(+), 2 deletions(-)
---
diff --git a/test/extra/Dockerfile b/test/extra/Dockerfile
index ee274192b..de78be30c 100644
--- a/test/extra/Dockerfile
+++ b/test/extra/Dockerfile
@@ -31,6 +31,7 @@ RUN rm -f /root/mozjs-install/usr/lib64/libjs_static.ajs
FROM registry.fedoraproject.org/fedora:34
+ARG LOCALES=tr_TR
ENV SHELL=/bin/bash
# List is comprised of base dependencies for CI scripts, gjs, and debug packages
@@ -94,7 +95,10 @@ ENV HOST_USER_ID 5555
RUN useradd -u $HOST_USER_ID -G wheel -ms /bin/bash user
# Enable locales needed for specific tests
-RUN localedef --verbose --force -i tr_TR tr_TR || true
+RUN for locale in ${LOCALES}; do \
+ localedef --verbose --force -i "$locale" "$locale" || true; \
+ localedef --verbose --force -i "$locale" -f UTF-8 "$locale".UTF-8 || true; \
+ done
USER user
WORKDIR /home/user
diff --git a/test/extra/Dockerfile.debug b/test/extra/Dockerfile.debug
index 23ee8024f..4548e078a 100644
--- a/test/extra/Dockerfile.debug
+++ b/test/extra/Dockerfile.debug
@@ -45,6 +45,7 @@ RUN rm -f /root/mozjs-install/usr/lib64/libjs_static.ajs
FROM registry.fedoraproject.org/fedora:34
+ARG LOCALES=tr_TR
ENV SHELL=/bin/bash
# List is comprised of base dependencies for CI scripts, gjs, and debug packages
@@ -111,7 +112,10 @@ ENV HOST_USER_ID 5555
RUN useradd -u $HOST_USER_ID -G wheel -ms /bin/bash user
# Enable locales needed for specific tests
-RUN localedef --verbose --force -i tr_TR tr_TR || true
+RUN for locale in ${LOCALES}; do \
+ localedef --verbose --force -i "$locale" "$locale" || true; \
+ localedef --verbose --force -i "$locale" -f UTF-8 "$locale".UTF-8 || true; \
+ done
USER user
WORKDIR /home/user
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]